Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154895 - can't open second pdf document in ggv
Summary: can't open second pdf document in ggv
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ggv
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 18:54 UTC by Jamie Zawinski
Modified: 2008-02-08 02:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 02:55:20 UTC


Attachments (Terms of Use)

Description Jamie Zawinski 2005-04-14 18:54:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
If ggv is already running, and I click on a link to a second pdf document, I get nothing.  If I do it from the command line, I get an error message.  

I guess ggv is trying to connect to the same process and open a second window, instead of just launching a second instance.  It's being too smart for its own good, because that doesn't work.

This has been true for more than a year, I think.

Version-Release number of selected component (if applicable):
ggv-2.8.0-1

How reproducible:
Always

Steps to Reproduce:
1. ggv file1.pdf &
2. ggv file2.pdf
3. profit
  

Actual Results:  (ggv:22250): GGV-WARNING **: Could not get GGV control: 'Unknown CORBA exception id: 'IDL:omg.org/CORBA/COMM_FAILURE:1.0''

(ggv:22250): GGV-WARNING **: Failed to create a new window.

(ggv:22250): GGV-WARNING **: No windows could be opened. Exiting...


Expected Results:  Just fork a second copy of ggv and show me the document.

Additional info:

Fedora Core 3 with the latest yum updates.
Linux 2.6.10-1.770_FC3 #1 Thu Feb 24 14:00:06 EST 2005 i686 athlon

Comment 1 Matthew Miller 2006-07-10 20:30:06 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-08 02:55:20 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.